View Issue Details

IDProjectCategoryView StatusLast Update
0000099Silver Monkey[All Projects] Bug Reportspublic2018-01-11 22:28
ReporterDrake 
Assigned Togerolkae 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version2.19.87.615 Pre-Alpha 3 
Target Version2.19.x.Fixed in Version2.19.104.623 (Pre-Alpha4) 
Summary0000099: Unable to Open Bot.
DescriptionUsing my original SDM bot file, attempting to use it in this version causes silvermonkey to immediately close to system tray. attempting to click go to run the bot results in nothing happening.
Steps To Reproduceattempt to open bot as usual.
Additional InformationBini sent via skype.
TagsNo tags attached.

Relationships

Activities

gerolkae

2017-06-18 23:46

administrator   ~0000402

Did a test in the Dev version.
I can replicate the error..
It seems to be the recent menu list acting up

gerolkae

2017-06-19 15:56

administrator   ~0000403

Last edited: 2017-06-19 16:02

View 2 revisions

Drake
I'm seeing a file path of C:\Documents and Settings\Tymon\My Documents\Silver Monkey\Logs"

Whats MyDocuments doing there on a Windows 7 system?

Starting in windows Vista the path changed to
C:\Users\gerol\\Documents\Silver Monkey

Here's a tool for Furcadia File Paths...
https://github.com/StarShip-Avalon-Projects/Furcadia-Diagnostics/releases

Verify these Paths
BotIni=C:\Users\Tymon\Documents\Dropbox\Furcadia Characters\Shadowdrake_Manor.ini
MS_File=C:\Users\Tymon\Documents\Silver Monkey\botscript.ms
LogNamePath=C:\Documents and Settings\Tymon\My Documents\Silver Monkey\Logs <<< Error being tripped here

Drake

2017-06-19 17:02

reporter   ~0000404

Okay I just tried to make a new bot and it just did the minimizing thing as well. so it seems to have nothing to do with my specific bot. I'm not using any plugins or etc either.

Drake

2017-06-19 17:14

reporter   ~0000405

After a complete reinstall... It no longer minimizes and it let me make a new bot. However, any attempt to use the new or old bots just result in furcadia saying it cannot load the INI file and then silvermonkey crashes.

Drake

2017-06-19 17:19

reporter   ~0000406

After uninstalling the program the entire directory and files were still there. it didn't delete anything..

Drake

2017-06-19 17:34

reporter   ~0000407

Now I can't even run the bot. every attempt to load a bot, make a new bot, etc, ends with furcadia was unable to load your character ini file.

gerolkae

2017-06-23 16:52

administrator   ~0000412

Fix Canidate in Pre-Alpha 4

gerolkae

2017-06-23 16:54

administrator   ~0000413

Note:
EXE installer and MSI installer are no compatible

Issue History

Date Modified Username Field Change
2017-06-18 23:33 Drake New Issue
2017-06-18 23:46 gerolkae Assigned To => gerolkae
2017-06-18 23:46 gerolkae Status new => confirmed
2017-06-18 23:46 gerolkae Note Added: 0000402
2017-06-18 23:48 gerolkae Target Version => 2.19.x.
2017-06-19 15:56 gerolkae Note Added: 0000403
2017-06-19 16:02 gerolkae Note Edited: 0000403 View Revisions
2017-06-19 17:02 Drake Note Added: 0000404
2017-06-19 17:14 Drake Note Added: 0000405
2017-06-19 17:19 Drake Note Added: 0000406
2017-06-19 17:34 Drake Note Added: 0000407
2017-06-23 16:52 gerolkae Status confirmed => resolved
2017-06-23 16:52 gerolkae Resolution open => fixed
2017-06-23 16:52 gerolkae Fixed in Version => 2.19.104.623 (Pre-Alpha4)
2017-06-23 16:52 gerolkae Note Added: 0000412
2017-06-23 16:54 gerolkae Note Added: 0000413
2018-01-11 22:28 gerolkae Status resolved => closed